LibreOffice: XStringResourcePersistence Interface Reference

LibreOffice LibreOffice 26.2 SDK API Reference

Loading...
Searching...
No Matches
XStringResourcePersistence Interface Reference

Interface derived from XStringResourceManager containing basic persistence functionality limited to operations that are independent from an associated location or storage. More...

`import "XStringResourcePersistence.idl";`

Inheritance diagram for XStringResourcePersistence:

## Public Member Functions
void | store () raises ( com::sun::star::lang::NoSupportException, com::sun::star::uno::Exception )
| Stores all string table data respectively all data modified since the last call to store() to the location or storage associated with the StringResourceManager.
boolean | isModified ()
| provides the current modify state of the StringResourceManager instance.
void | setComment ([in] string Comment)
| Sets the comment stored first in each locale data file.
void | storeToStorage ([in] ::com::sun::star::embed::XStorage Storage, [in] string BaseName, [in] string Comment) raises ( com::sun::star::uno::Exception )
| Stores all string table data to the provided storage.
void | storeToURL ([in] string URL, [in] string BaseName, [in] string Comment, [in] com::sun::star::task::XInteractionHandler Handler) raises ( com::sun::star::uno::Exception )
| Stores all string table data to the location specified by the passed URL string.
sequence< byte > | exportBinary ()
| Returns a sequence of byte representing the complete string resource in a binary format.
void | importBinary ([in] sequence< byte > Data) raises ( com::sun::star::lang::IllegalArgumentException )
| Initializes the string resource with binary data.
Public Member Functions inherited from XStringResourceManager
boolean | isReadOnly ()
| Returns the resource's read only state.
void | setCurrentLocale ([in] com::sun::star::lang::Locale Locale, [in] boolean FindClosestMatch) raises ( com::sun::star::lang::IllegalArgumentException )
| Sets the locale to be used.
void | setDefaultLocale ([in] com::sun::star::lang::Locale Locale) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::NoSupportException )
| Sets the default locale to be used.
void | setString ([in] string ResourceID, [in] string Str) raises ( com::sun::star::lang::NoSupportException )
| Associates a String to a Resource ID for the current locale.
void | setStringForLocale ([in] string ResourceID, [in] string Str, [in] com::sun::star::lang::Locale locale) raises ( com::sun::star::lang::NoSupportException )
| Associates a String to a Resource ID for a specific locale.
void | removeId ([in] string ResourceID) raises ( com::sun::star::resource::MissingResourceException, com::sun::star::lang::NoSupportException )
| Removes a Resource ID including the corresponding string for the current locale.
void | removeIdForLocale ([in] string ResourceID, [in] com::sun::star::lang::Locale locale) raises ( com::sun::star::resource::MissingResourceException, com::sun::star::lang::NoSupportException )
| Removes a Resource ID including the corresponding string for s specific locale.
void | newLocale ([in] com::sun::star::lang::Locale locale) raises ( com::sun::star::container::ElementExistException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::NoSupportException )
| Creates a new locale.
void | removeLocale ([in] com::sun::star::lang::Locale locale) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::NoSupportException )
| Removes a locale completely including the corresponding strings for each locale.
long | getUniqueNumericId () raises ( com::sun::star::lang::NoSupportException )
| Provides a numeric id that is unique within all Resource IDs used in the string table.
Public Member Functions inherited from XStringResourceResolver
string | resolveString ([in] string ResourceID) raises ( com::sun::star::resource::MissingResourceException )
| Resolves the passed ResourceID for the current locale.
string | resolveStringForLocale ([in] string ResourceID, [in] com::sun::star::lang::Locale locale) raises ( com::sun::star::resource::MissingResourceException )
| Resolves the passed ResourceID for a specific locale.
boolean | hasEntryForId ([in] string ResourceID)
| Checks if the resource contains an entry for the given ResourceID and current locale.
boolean | hasEntryForIdAndLocale ([in] string ResourceID, [in] com::sun::star::lang::Locale locale)
| Checks if the resource contains an entry for the given ResourceID and locale.
sequence< string > | getResourceIDs ()
| Returns a sequence of all valid Resource IDs for the current locale.
sequence< string > | getResourceIDsForLocale ([in] com::sun::star::lang::Locale locale)
| Returns a sequence of all valid Resource IDs for a specific locale.
com::sun::star::lang::Locale | getCurrentLocale ()
| Returns the current locale specified in the accessed resource.
com::sun::star::lang::Locale | getDefaultLocale ()
| Returns the default locale of the accessed resource.
sequence< com::sun::star::lang::Locale > | getLocales ()
| Returns a sequence of all supported locales.
Public Member Functions inherited from XModifyBroadcaster
void | addModifyListener ([in] com::sun::star::util::XModifyListener aListener)
| adds the specified listener to receive events "modified."
void | removeModifyListener ([in] com::sun::star::util::XModifyListener aListener)
| removes the specified listener.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

Interface derived from XStringResourceManager containing basic persistence functionality limited to operations that are independent from an associated location or storage.

See also
  XStringResourceManager.

## Member Function Documentation

## ◆ exportBinary()

sequence< byte > exportBinary | ( |  | ) |

Returns a sequence of byte representing the complete string resource in a binary format.

This method is intended to support datatransfer functionality, e.g. provided by com::sun::star::datatransfer::XTransferable and related interfaces.

See importBinary()).

Returns
  a sequence of byte representing the string resource.

## ◆ importBinary()

void importBinary | ( | [in] sequence< byte > | Data | ) |
raises | ( | com::sun::star::lang::IllegalArgumentException ) |  |  |

Initializes the string resource with binary data.

This method expects the data format returned by exportBinary().

All locales and strings previously added to the string resource will be deleted. So after calling this method the string resource only contains the locales and strings specified in the binary data.

This method is intended to support datatransfer functionality, e.g. provided by com::sun::star::datatransfer::XTransferable and related interfaces.

See importBinary()).

Exceptions

  com::sun::star::lang::IllegalArgumentException | if Data is empty or does not meet the binary format returned by the current or earlier version of exportBinary()).

## ◆ isModified()

boolean isModified | ( |  | ) |

provides the current modify state of the StringResourceManager instance.

Returns
  TRUE if the string table has changed since the last call to store() or, if supported `XStringResourceWithStorage::storeAsStorage`. FALSE if the table hasn't changed.

## ◆ setComment()

void setComment | ( | [in] string | Comment | ) |

Sets the comment stored first in each locale data file.

This interface method can be used to overwrite the comment used during initialization of the services StringResourceWithLocation or StringResourceWithStorage

Parameters

  Comment | Comment stored first in each properties file followed by a line feed character. The line feed character is added automatically and hasn't to be part of the comment string. The caller is responsible that the passed string is a valid comment in a Java properties file, e.g. "# My strings". The string may be empty.

## ◆ store()

void store | ( |  | ) |
raises | ( | com::sun::star::lang::NoSupportException,
|  | com::sun::star::uno::Exception ) |  |  |

Stores all string table data respectively all data modified since the last call to store() to the location or storage associated with the StringResourceManager.

Each locale is stored in a single file following the format of Java properties files.

This interface is supported by the services StringResourceWithLocation and StringResourceWithStorage

The StringResourceWithLocation is initialized with a URL specifying a location used to load data from and store data to, see StringResourceWithLocation.

The StringResourceWithStorage is initialized with an instance of com::sun::star::embed::XStorage used to load data from and store data to, see StringResourceWithStorage.

If the string table isn't modified (see isModified()) this method does nothing.

This method can throw all exceptions thrown by the methods of com::sun::star::embed::XStorage respectively a com::sun::star::ucb::CommandAbortedException in case of a StringResourceWithLocation for all exceptions that are not handled by a previously specified com::sun::star::task::XInteractionHandler. The handler to be used for the store operation can be specified during initialization of StringResourceWithLocation.

Exceptions

  com::sun::star::lang::NoSupportException | if no URL or no valid storage are provided.

## ◆ storeToStorage()

void storeToStorage | ( | [in] ::com::sun::star::embed::XStorage | Storage,
|  | [in] string | BaseName,
|  | [in] string | Comment )
raises | ( | com::sun::star::uno::Exception ) |  |  |

Stores all string table data to the provided storage.

Calling this method does not affect the association with a location (in case of a StringResourceWithLocation instance) respectively with a storage (in case of a StringResourceWithStorage instance). The modified state isn't affected either.

This method can be used to make a copy of the current string table data to a storage. This method can throw all exceptions thrown by the methods of com::sun::star::embed::XStorage

Parameters

  Storage | all string table data will be stored to this storage.
  BaseName | Base string for the file names used to store the locale data. The locale data is stored in Java properties files also following the corresponding naming scheme. The files will be named like this: "[BaseName]_[Language]_[Country].properties", e.g. "MyBaseName_en_US.properties" If an empty string is passed for BaseName, "strings" will be used as BaseName.
  Comment | Comment stored first in each properties file, for a detailed description see setComment().

This method can throw all exceptions thrown by the methods of com::sun::star::embed::XStorage

## ◆ storeToURL()

void storeToURL | ( | [in] string | URL,
|  | [in] string | BaseName,
|  | [in] string | Comment,
|  | [in] com::sun::star::task::XInteractionHandler | Handler )
raises | ( | com::sun::star::uno::Exception ) |  |  |

Stores all string table data to the location specified by the passed URL string.

Calling this method does not affect the association with a location (in case of a StringResourceWithLocation instance) respectively with a storage (in case of a StringResourceWithStorage instance). The modified state isn't affected either.

This method can be used to make a copy of the current string table data to a location.

Parameters

  URL | the location the string table data should be stored to.
  BaseName | Base string for the file names used to store the locale data. The locale data is stored in Java properties files also following the corresponding naming scheme. The files will be named like this: "[BaseName]_[Language]_[Country].properties", e.g. "MyBaseName_en_US.properties" If an empty string is passed for BaseName, "strings" will be used as BaseName.
  Comment | Comment stored first in each properties file, for a detailed description see setComment().
  Handler | a com::sun::star::task::XInteractionHandler. It will be passed to ucb handle exceptions. Exceptions not processed by this handler will be passed as com::sun::star::uno::Exception. If this parameter is null this applies to all exceptions thrown by ucb.

See also
  com::sun::star::task::InteractionHandler

The documentation for this interface was generated from the following file:

- com/sun/star/resource/XStringResourcePersistence.idl